body {
    .type-tjeneste {
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;

        h1 {
            color: white;
            font-size: var(--wp--preset--font-size--x-large);
            margin-top: 50px;
        }

        .tjenester-posts-grid {
            display: flex;
            flex-direction: row;
            gap: 50px;
            flex-wrap: wrap;
            max-width: var(--wp--style--layout--wide-size);
            margin-top: 50px;
            margin-bottom: 100px;
            padding: 20px 20px 20px 20px;

            .tjeneste-post-archive-view {
                max-width: 350px;
                background-color: var(--tertiary);
                padding: 20px 20px 20px 20px;
                border-radius: 15px;
                display: flex;
                flex-direction: column;
                align-items: center;
                justify-content: center;
                color: white;

                h2 {
                    font-size: var(--wp--preset--font-size--large);
                    margin-top: 15px;
                    width: 100%;
                }

                img {
                    margin: 30px 0px 30px 0px;
                    width: 100%;
                    aspect-ratio: 2 / 1;
                    object-fit: cover;
                    height: auto;
                    object-position: center;
                    border-radius: 15px;
                }

                p {
                    font-size: var(--wp--preset--font-size--medium);
                    position: relative;
                    overflow: hidden;
                    width: 100%;
                }                

                p::after {
                    content: "";
                    position: absolute;
                    bottom: 0;
                    left: 0;
                    width: 100%;
                    height: 200px;
                    background: linear-gradient(to bottom, transparent, var(--tertiary) 80%);
                    pointer-events: none;
                }

                a {
                    width: 100%;
                    display: flex;
                    justify-content: center;
                    text-decoration: none;
                }

                button {
                    width: 80%;
                    background-color: var(--secondary);
                    padding: 15px 15px 15px 15px;
                    border: 0px;
                    border-radius: 15px;
                    font-size: var(--wp--preset--font-size--medium);
                    font-weight: bold;
                    cursor: pointer;
                }
            }
        }
    }
}